Ginkgo: gko::stop::ResidualNormReduction< ValueType > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::stop::ResidualNormReduction< ValueType > Class Template Reference
Stopping criteria

The ResidualNormReduction class is a stopping criterion which stops the iteration process when the residual norm is below a certain threshold relative to the norm of the initial residual, i.e. More...

`#include <ginkgo/core/stop/residual_norm.hpp>`

Inheritance diagram for gko::stop::ResidualNormReduction< ValueType >:
[legend]
Collaboration diagram for gko::stop::ResidualNormReduction< ValueType >:
[legend]

## Classes
struct | parameters_type
class | Factory

## Public Types
using | ComplexVector = matrix::Dense<to_complex<ValueType>>
using | NormVector = matrix::Dense<remove_complex<ValueType>>
using | Vector = matrix::Dense<ValueType>

## Public Member Functions
const parameters_type & | get_parameters () const

## Static Public Member Functions
static auto | build () -> decltype(Factory::create())

## Detailed Description

template<typename ValueType = default_precision>
class gko::stop::ResidualNormReduction< ValueType >

The ResidualNormReduction class is a stopping criterion which stops the iteration process when the residual norm is below a certain threshold relative to the norm of the initial residual, i.e.

when norm(residual) / norm(initial_residual) < threshold. For better performance, the checks are run thanks to kernels on the executor where the algorithm is executed.

Note
  To use this stopping criterion there are some dependencies. The constructor depends on initial_residual in order to compute the first relative residual norm. The check method depends on either the residual_norm or the residual being set. When any of those is not correctly provided, an exception ::gko::NotSupported() is thrown.

The documentation for this class was generated from the following file:

- ginkgo/core/stop/residual_norm.hpp